Package org.apache.lucene.analysis.ja.util

## Enum DictionaryBuilder.DictionaryFormat

- java.lang.Object
- - java.lang.Enum<DictionaryBuilder.DictionaryFormat>
  - - org.apache.lucene.analysis.ja.util.DictionaryBuilder.DictionaryFormat

- All Implemented Interfaces:
    `Serializable`, `Comparable<DictionaryBuilder.DictionaryFormat>`
  Enclosing class:
    DictionaryBuilder

      public static enum DictionaryBuilder.DictionaryFormat
      extends Enum<DictionaryBuilder.DictionaryFormat>

  Format of the dictionary.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `IPADIC` | IPADIC format
    `UNIDIC` | UNIDIC format

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DictionaryBuilder.DictionaryFormat` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DictionaryBuilder.DictionaryFormat[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPADIC

          public static final DictionaryBuilder.DictionaryFormat IPADIC

      IPADIC format

    - #### UNIDIC

          public static final DictionaryBuilder.DictionaryFormat UNIDIC

      UNIDIC format

  - ### Method Detail

    - #### values

          public static DictionaryBuilder.DictionaryFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DictionaryBuilder.DictionaryFormat c : DictionaryBuilder.DictionaryFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DictionaryBuilder.DictionaryFormat valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null